# Uses of Class
org.apache.qpid.proton.amqp.security.SaslOutcome

Packages that use SaslOutcome
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.engine.impl

## Uses of SaslOutcome in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslOutcome
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleOutcome(SaslOutcome saslOutcome, Binary payload, E context)`

## Uses of SaslOutcome in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return SaslOutcome
Modifier and Type
Method
Description
`SaslOutcome`
SaslOutcomeType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.security that return types with arguments of type SaslOutcome
Modifier and Type
Method
Description
`Class<SaslOutcome>`
SaslOutcomeType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.security with parameters of type SaslOutcome
Modifier and Type
Method
Description
`protected List`
SaslOutcomeType.`wrap(SaslOutcome val)`
Constructors in org.apache.qpid.proton.codec.security with parameters of type SaslOutcome
Modifier
Constructor
Description
``
`SaslOutcomeWrapper(SaslOutcome impl)`

## Uses of SaslOutcome in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslOutcome
Modifier and Type
Method
Description
`void`
SaslImpl.`handleOutcome(SaslOutcome saslOutcome, Binary payload, Void context)`